#!/bin/sh

########## ICONS ###############
### Candy
cd /usr/share/icons/
wget https://github.com/EliverLara/candy-icons/archive/refs/heads/master.zip
unzip master.zip
rm master.zip
mv candy-icons-master candy-icons

### WhiteSur
cd /root
git clone --depth=1 https://github.com/vinceliuice/WhiteSur-icon-theme
cd WhiteSur-icon-theme/release
./make-release.sh
mv WhiteSur.tar.xz /usr/share/icons/
cd /root
rm -rf WhiteSur-icon-theme
cd /usr/share/icons/
tar xf WhiteSur.tar.xz
rm WhiteSur.tar.xz

########## GTK THEMES ##########
### Sweet Dark
cd /usr/share/themes/
wget https://github.com/EliverLara/Sweet/releases/latest/download/Sweet-Dark-v40.tar.xz
tar xf Sweet-Dark-v40.tar.xz
rm Sweet-Dark-v40.tar.xz

### WhiteSur
wget https://github.com/vinceliuice/WhiteSur-gtk-theme/raw/master/release/WhiteSur-Light.tar.xz
wget https://github.com/vinceliuice/WhiteSur-gtk-theme/raw/master/release/WhiteSur-Dark.tar.xz
tar xf WhiteSur-Light.tar.xz
tar xf WhiteSur-Dark.tar.xz
rm WhiteSur-Light.tar.xz
rm WhiteSur-Dark.tar.xz

########## FONTS ###############
mkdir -p /usr/share/fonts/EnvyCodeR
cd /usr/share/fonts/EnvyCodeR/
wget https://github.com/ryanoasis/nerd-fonts/releases/latest/download/EnvyCodeR.zip
unzip EnvyCodeR.zip
rm EnvyCodeR.zip


echo "theme-name=Sweet-Dark-v40" >> /etc/lightdm/lightdm-gtk-greeter.conf
echo "icon-theme-name=candy-icons" >> /etc/lightdm/lightdm-gtk-greeter.conf
